# mail – Sends failure events via email

- Synopsis

- Requirements

- Parameters

- Status

## Synopsis

- This callback will report failures via email

## Requirements

The below requirements are needed on the local master node that executes this callback.

- whitelisting in configuration

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
bcc - |  | ini entries: [callback_mail] bcc = VALUE | BCC'd recipient
cc - |  | ini entries: [callback_mail] cc = VALUE | CC'd recipient
mta - | Default: "localhost" | ini entries: [callback_mail] smtphost = localhost env:SMTPHOST | Mail Transfer Agent, server that accepts SMTP
mtaport - | Default: 25 | ini entries: [callback_mail] smtpport = 25 | Mail Transfer Agent Port, port at which server SMTP
sender - |  | ini entries: [callback_mail] sender = VALUE | Mail sender
to - | Default: "root" | ini entries: [callback_mail] to = root | Mail recipient

## Status

- This callback is not guaranteed to have a backwards compatible interface. [preview]

- This callback is maintained by the Ansible Community. [community]

### Authors

- Dag Wieers (@dagwieers)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.